<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <RootNamespace>EnergyDataCollectionService</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Flurl.Http" Version="3.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Abstractions" Version="5.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.4">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.4">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="5.0.2" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="5.0.0-alpha.2" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.1.0" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Logic\Services\Interfaces" />
    <Folder Include="Migrations" />
    <Folder Include="Models\DTO" />
    <Folder Include="Resources" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Templates\**" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Remove="Templates\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Templates\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="Templates\**" />
  </ItemGroup>

  <ItemGroup>
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\ApiControllerWithActions.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\ApiControllerWithContext.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\ApiEmptyController.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\ControllerWithActions.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\EmptyController.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ControllerGenerator\MvcControllerWithContext.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\Create.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\Delete.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\Details.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\Edit.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\Empty.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\List.cshtml" />
    <_ContentIncludedByDefault Remove="Templates\ViewGenerator\_ValidationScriptsPartial.cshtml" />
  </ItemGroup>

</Project>
